Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class TerminateInstancesResult

    java.lang.Object
      com.amazonaws.services.ec2.model.TerminateInstancesResult

    public class TerminateInstancesResult

extends Object

The result of calling the TerminateInstances operation. Contains details on how the specified instances are changing state.

Constructor Summary
`TerminateInstancesResult()`

Method Summary
`List<InstanceStateChange>` | `getTerminatingInstances()` The list of the terminating instances and details on how their state has changed.
`void` | `setTerminatingInstances(Collection<InstanceStateChange> terminatingInstances)` The list of the terminating instances and details on how their state has changed.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`TerminateInstancesResult` | `withTerminatingInstances(Collection<InstanceStateChange> terminatingInstances)` The list of the terminating instances and details on how their state has changed.
`TerminateInstancesResult` | `withTerminatingInstances(InstanceStateChange... terminatingInstances)` The list of the terminating instances and details on how their state has changed.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TerminateInstancesResult

    public TerminateInstancesResult()

Method Detail

### getTerminatingInstances

    public List<InstanceStateChange> getTerminatingInstances()

  The list of the terminating instances and details on how their state has changed.

  Returns:
    The list of the terminating instances and details on how their state has changed.

### setTerminatingInstances

    public void setTerminatingInstances(Collection<InstanceStateChange> terminatingInstances)

  The list of the terminating instances and details on how their state has changed.

  Parameters:
    `terminatingInstances` - The list of the terminating instances and details on how their state has changed.

### withTerminatingInstances

    public TerminateInstancesResult withTerminatingInstances(InstanceStateChange... terminatingInstances)

  The list of the terminating instances and details on how their state has changed.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `terminatingInstances` - The list of the terminating instances and details on how their state has changed.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withTerminatingInstances

    public TerminateInstancesResult withTerminatingInstances(Collection<InstanceStateChange> terminatingInstances)

  The list of the terminating instances and details on how their state has changed.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `terminatingInstances` - The list of the terminating instances and details on how their state has changed.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.